Ticket #41124

スコア送信機能のHTTPS対応

Open Date: 2021-01-09 01:13 Last Update: 2021-02-05 21:55

Reporter:
Owner:
Status:
Closed
Component:
(None)
Priority:
7
Severity:
5 - Medium
Resolution:
Accepted
File:
None

Details

変愚のホームページはかなり前からすでにHTTPS対応になっており、 http://~ でアクセスすると https://~ にリダイレクトされるようになっている。 しかし、スコア送信機能は自前でHTTPプロトコルをしゃべっているのでHTTPSに対応していないため、現在はスコア登録のURLのみhttpのまま通すようにして対処している。

しかしSSL対応はそろそろ常識となってきているので、スコア送信もHTTPSに対応させたい。 自前でプロトコルをしゃべるのは面倒なので、HTTP通信を行っている部分を自前実装から libcurl を使用した実装に置き換えることで対応する予定。

Ticket History (3/4 Histories)

2021-01-09 01:13 Updated by: habu
  • New Ticket "スコア送信機能のHTTPS対応" created
2021-02-03 20:49 Updated by: habu
Comment

https://osdn.net/projects/hengband/scm/git/hengband/commits?branch=feature%2Freport-score-libcurl

上記ブランチにて実装しました。 テスト用スコアサーバで、Windows/Linuxともにビルド/スコアを送信できることを確認済みです。 マージをよろしくお願いします。

なお、スコア送信URLはOSDNのスコアサーバのままになっています。リダイレクトに対応しているので、このままリリースしてスコア移設時にリダイレクトを設定するか、ソースコードのURL自体を移設先サーバに書き換えるかはおまかせします。

2021-02-05 21:55 Updated by: deskull
  • Status Update from Open to Closed
  • Resolution Update from None to Accepted
Comment

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login